GpgFrontend::UI::InfoBoardWidget Class Reference

Class for handling the verify label shown at bottom of a textedit-page. More...

`#include <InfoBoardWidget.h>`

Inheritance diagram for GpgFrontend::UI::InfoBoardWidget:
Collaboration diagram for GpgFrontend::UI::InfoBoardWidget:

## Public Slots

void | SlotReset ()
void | SlotRefresh (const QString &text, GpgFrontend::UI::InfoBoardStatus status)

## Public Member Functions

| InfoBoardWidget (QWidget *parent)
void | AssociateTextEdit (QTextEdit *edit)
void | AssociateTabWidget (QTabWidget *tab)
void | AddOptionalAction (const QString &name, const std::function< void()> &action)
void | ResetOptionActionsMenu ()
void | SetInfoBoard (const QString &text, GpgFrontend::UI::InfoBoardStatus verify_label_status)

## Private Slots

void | slot_copy ()
void | slot_save ()

## Private Member Functions

void | delete_widgets_in_layout (QLayout *layout, int start_index=0)

## Private Attributes

std::shared_ptr< Ui_InfoBoard > | ui_
QTextEdit * | m_text_page_
| TextEdit associated to the notification. More...
QTabWidget * | m_tab_widget_ {nullptr}

## Detailed Description

Class for handling the verify label shown at bottom of a textedit-page.

## Constructor & Destructor Documentation

## InfoBoardWidget()

GpgFrontend::UI::InfoBoardWidget::InfoBoardWidget | ( | QWidget * | parent | ) |

explicit

Parameters

  ctx | The GPGme-Context
  parent | The parent widget

References GpgFrontend::UI::SignalStation::GetInstance(), GpgFrontend::UI::SignalStation::SignalRefreshInfoBoard(), and SlotRefresh().

## Member Function Documentation

## AddOptionalAction()

void GpgFrontend::UI::InfoBoardWidget::AddOptionalAction | ( | const QString & | name,
|  | const std::function< void()> & | action
| ) |  |

Parameters

  name |
  action |

Referenced by GpgFrontend::UI::show_verify_details().

## AssociateTabWidget()

void GpgFrontend::UI::InfoBoardWidget::AssociateTabWidget | ( | QTabWidget * | tab | ) |

Parameters

  tab |

References m_text_page_.

Referenced by GpgFrontend::UI::process_result_analyse().

## AssociateTextEdit()

void GpgFrontend::UI::InfoBoardWidget::AssociateTextEdit | ( | QTextEdit * | edit | ) |

Parameters

  edit |

References m_text_page_.

## delete_widgets_in_layout()

void GpgFrontend::UI::InfoBoardWidget::delete_widgets_in_layout | ( | QLayout * | layout,
|  | int | start_index = `0`
| ) |  |

private

Parameters

  layout |
  start_index | Try Delete all widget from target layout
  layout | target layout

Referenced by ResetOptionActionsMenu().

## ResetOptionActionsMenu()

void GpgFrontend::UI::InfoBoardWidget::ResetOptionActionsMenu | ( |  | ) |

Delete All item in actionButtonLayout

References delete_widgets_in_layout().

Referenced by GpgFrontend::UI::show_verify_details(), GpgFrontend::UI::MainWindow::slot_encrypt(), and GpgFrontend::UI::MainWindow::slot_encrypt_sign().

## SetInfoBoard()

void GpgFrontend::UI::InfoBoardWidget::SetInfoBoard | ( | const QString & | text,
|  | GpgFrontend::UI::InfoBoardStatus | verify_label_status
| ) |  |

Set the text and background-color of verify notification.

Parameters

  text | The text to be set.
  verify_label_status | The status of label to set the specified color.

References GpgFrontend::UI::SettingsObject::Check().

Referenced by SlotRefresh().

## SlotRefresh

void GpgFrontend::UI::InfoBoardWidget::SlotRefresh | ( | const QString & | text,
|  | GpgFrontend::UI::InfoBoardStatus | status
| ) |  |

slot

Refresh the contents of dialog.

References SetInfoBoard().

Referenced by InfoBoardWidget(), and GpgFrontend::UI::refresh_info_board().

## Member Data Documentation

## m_text_page_

QTextEdit* GpgFrontend::UI::InfoBoardWidget::m_text_page_

private

Initial value:
{
nullptr}

TextEdit associated to the notification.

Referenced by AssociateTabWidget(), and AssociateTextEdit().

The documentation for this class was generated from the following files:

- src/ui/widgets/InfoBoardWidget.h
- src/ui/widgets/InfoBoardWidget.cpp